Bug 1020339 - SizeRotatingHandlerTestCase.rotationTest fails with "the file is bigger than allowed size"
SizeRotatingHandlerTestCase.rotationTest fails with "the file is bigger than ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER7
: EAP 6.2.0
Assigned To: Petr Kremensky
Pavel Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 09:20 EDT by Jitka Kozana
Modified: 2013-12-15 11:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2371 Major Resolved SizeRotatingHandlerTestCase.rotationTest fails with "the file is bigger than allowed size" 2013-11-08 08:48:33 EST

  None (edit)
Description Jitka Kozana 2013-10-17 09:20:38 EDT
6.2.0.ER6. 
The test org.jboss.as.test.integration.logging.operations.SizeRotatingHandlerTestCase.rotationTest consistently fails with:

java.lang.AssertionError: This file is bigger than allowed rotate-size: size-rotating-reload-rotationTest.log.1

Link to job:
https://jenkins.mw.lab.eng.bos.redhat.com/job/eap-6x-manu-acceptance-as-ts-RHEL6_x86-oracleJDK6-srczip/25/testReport/junit/org.jboss.as.test.integration.logging.operations/SizeRotatingHandlerTestCase/rotationTest/
Comment 1 JBoss JIRA Server 2013-10-24 03:26:00 EDT
Petr Kremensky <pkremens@redhat.com> made a comment on jira WFLY-2371

PR sent: https://github.com/wildfly/wildfly/pull/5340
Comment 2 Petr Kremensky 2013-10-24 04:04:01 EDT
PR sent: https://github.com/jbossas/jboss-eap/pull/605
Comment 3 Pavel Jelinek 2013-11-07 09:11:07 EST
Fixed in 6.2.0.ER7.

Note You need to log in before you can comment on or make changes to this bug.